## NAME

r.out.ppm3 - Converts 3 GRASS raster layers (R,G,B) to a PPM image file at the pixel resolution of the CURRENTLY DEFINED REGION.

## KEYWORDS

raster, export

## SYNOPSIS

r.out.ppm3
r.out.ppm3 help
r.out.ppm3 [-qc] red=string green=string blue=string output=string [--verbose] [--quiet]

### Flags:

-q
  Run quietly
-c
  Add comments to describe the region
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

red=string
  Name of raster map to be used for <red>
green=string
  Name of raster map to be used for <green>
blue=string
  Name of raster map to be used for <blue>
output=string
  Name for new PPM file. (use out=- for stdout)

## DESCRIPTION

r.out.ppm3 converts 3 GRASS raster layers (R,G,B) to a PPM image file, using the current region.

This program converts a GRASS raster map to a PPM image file using the the current region settings.

To get the full area and resolutin of the raster map, run:

    g.region rast=[mapname]

before running r.out.ppm3.

## NOTES

One pixel is written for each cell value, so if ew_res and ns_res differ, the aspect ratio of the resulting image will be off.

## SEE ALSO

r.out.ppm, r.in.gdal, d.rgb

## AUTHOR

Glynn Clements
Based upon r.out.ppm and d.rgb.

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team